Arcadia Instant minimum system requirements

For Arcadia Instant , lowest operating system supported is below:

Mac: Sierra 10.12
Windows: win 10

1 Like